from mag_tools.enums.base_enum import BaseEnum


class StuoutType(BaseEnum):
    """
    输出到“XXX_stu.out”或“XXX_stu.bin”中的油藏动态数据
    """
    BASIC = ("BASIC", "自动选择必要的输出项")
    POIL = ("POIL", "油相压力")
    PWAT = ("PWAT", "水相压力")
    PGAS = ("PGAS", "气相压力")
    SGAS = ("SGAS", "气饱和度")
    SOIL = ("SOIL", "油饱和度")
    SWAT = ("SWAT", "水饱和度")
    RS = ("RS", "油相的溶解气油比（标准状态下的体积比）")
    RV = ("RV", "气相的挥发油气比（标准状态下的体积比）")
    PBUB = ("PBUB", "泡点压力（只适用于黑油模型）")
    PDEW = ("PDEW", "露点压力（只适用于黑油模型）")
    DENW = ("DENW", "水相密度")
    DENG = ("DENG", "气相密度")
    DENO = ("DENO", "油相密度")
    RHGG = ("RHGG", "气相摩尔密度")
    RHOO = ("RHOO", "油相摩尔密度")
    WATIP = ("WATIP", "地层单位体积内水的储量（单位：质量/体积）")
    GASIP = ("GASIP", "地层单位体积内气的储量（单位：质量/体积）")
    OILIP = ("OILIP", "地层单位体积内油的储量（单位：质量/体积）")
    VOIL = ("VOIL", "油相粘度")
    VGAS = ("VGAS", "气相粘度")
    VWAT = ("VWAT", "水相粘度")
    VKRO = ("VKRO", "油相相对渗透率")
    VKRG = ("VKRG", "气相相对渗透率")
    VKRW = ("VKRW", "水相相对渗透率")
    STEN = ("STEN", "油-气界面张力")
    FMISC = ("FMISC", "混相程度F系数")
    PCW = ("PCW", "油-水毛管力的端点值")
    PCG = ("PCG", "油-气毛管力的端点值")
    VPORO = ("VPORO", "动态孔隙度")
    VKX = ("VKX", "x方向动态渗透率")
    VKY = ("VKY", "y方向动态渗透率")
    VKZ = ("VKZ", "z方向动态渗透率")
    CGAS = ("CGAS", "单位质量基质的吸附气质量")
    SWATHMAX = ("SWATHMAX", "历史最大水饱和度")
    SWATHMIN = ("SWATHMIN", "历史最小水饱和度")
    SGASHMAX = ("SGASHMAX", "历史最大气饱和度")
    SGASHMIN = ("SGASHMIN", "历史最小气饱和度")
    SOILHMAX = ("SOILHMAX", "历史最大油饱和度")
    SOILHMIN = ("SOILHMIN", "历史最小油饱和度")
    XMF = ("XMF", "各组分的液相摩尔分数")
    YMF = ("YMF", "各组分的气相摩尔分数")
    ZMF = ("ZMF", "各组分的总摩尔分数")
    FUGA = ("FUGA", "各组分的逸度，单位是压力单位")
    ISONUM = ("ISONUM", "孤立区域编号")
    CFL = ("CFL", "时间步收敛的难易程度")
    AOIL = ("AOIL", "油的储量丰度")
    AGAS = ("AGAS", "气的储量丰度")
    AWAT = ("AWAT", "水的储量丰度")
