
from mag_tools.enums.base_enum import BaseEnum


class WstuoutType(BaseEnum):
    PRES = ("MSW::PRES", "井筒内压力")
    PCON = ("MSW::PCON", "与井相连的网格的压力")
    VM = ("MSW::VM", "井筒内平均流速，线速度")
    VLG = ("MSW::VLG", "井筒内气相流速，线速度")
    VLO = ("MSW::VLO", "井筒内油相流速，线速度")
    VLW = ("MSW::VLW", "井筒内水相流速，线速度")
    GH = ("MSW::GH", "持气率")
    WH = ("MSW::WH", "持水率")
    OH = ("MSW::OH", "井筒内油的体积比（仅限黑油模型）")
    RS = ("MSW::RS", "井筒内油相的溶解气油比（标况下的体积比）")
    RV = ("MSW::RV", "井筒内气相的挥发油气比（标况下的体积比）")
    DENW = ("MSW::DENW", "井筒内水相的密度")
    DENG = ("MSW::DENG", "井筒内气相的密度")
    DENO = ("MSW::DENO", "井筒内油相的密度")
    VWAT = ("MSW::VWAT", "井筒内水相的粘度")
    VGAS = ("MSW::VGAS", "井筒内气相的粘度")
    VOIL = ("MSW::VOIL", "井筒内油相的粘度")
    QW = ("MSW::QW", "每个井筒节点单位时间内生产的水，标况体积")
    QG = ("MSW::QG", "每个井筒节点单位时间内生产的气，标况体积")
    QO = ("MSW::QO", "每个井筒节点单位时间内生产的油，标况体积")
    QWI = ("MSW::QWI", "每个井筒节点单位时间内注入的水，标况体积")
    QGI = ("MSW::QGI", "每个井筒节点单位时间内注入的气，标况体积")
    WCT = ("MSW::WCT", "分段含水率，等于QO/(QW+QO)")
    WPT = ("MSW::WPT", "每个井筒节点累积水产量，标况体积")
    GPT = ("MSW::GPT", "每个井筒节点的累积气产量，标况体积")
    OPT = ("MSW::OPT", "每个井筒节点的累积油产量，标况体积")
    WIT = ("MSW::WIT", "每个井筒节点的累积注水量，标况体积")
    GIT = ("MSW::GIT", "每个井筒节点的累积注气量，标况体积")
    OIT = ("MSW::OIT", "每个井筒节点的累积注油量，标况体积")
    STAGE = ("MSW::STAGE", "井节点所属压裂段号")
    WI = ("MSW::WI", "每个井节点的井指数 (well index)，没有开启射孔的井节点和悬空的井节点，井指数等于 0。单位：m∙mD (米制)，ft∙mD (英制)，cm∙mD (lab)，um∙mD (MESO)。")
    FRICTION = ("MSW::FRICTION", "每个井筒节点的摩擦力，以压强为单位")
    PRDA = ("MSW::PRDA", "每个井筒节点因加速度造成的压力衰减，以压强为单位")
    ICD_FRIC = ("MSW::ICD_FRIC", "ICD 装置的摩阻，以压强为单位")
